Package org.snpsift.lang.expression

# Class NotMatch

java.lang.Object
org.snpsift.lang.expression.Expression
org.snpsift.lang.expression.ExpressionBinary
org.snpsift.lang.expression.Match
org.snpsift.lang.expression.NotMatch

public class NotMatch extends Match
Match a regular expression (string)

Author:
  pcingola

## Field Summary

### Fields inherited from class org.snpsift.lang.expression.ExpressionBinary

`left, right`

### Fields inherited from class org.snpsift.lang.expression.Expression

`debug, negated, operator`

## Constructor Summary

Constructors
Constructor
Description
`NotMatch(Expression left, Expression right)`

## Method Summary

### Methods inherited from class org.snpsift.lang.expression.Match

`evalOp`

### Methods inherited from class org.snpsift.lang.expression.ExpressionBinary

`eval, eval, toString`

### Methods inherited from class org.snpsift.lang.expression.Expression

`setNegated`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NotMatch

public NotMatch(Expression left, Expression right)